Subject: Re: bug#16621: 24.3.50; Periodic timer + overlays = flickering near point

From: Stefan Monnier <[email-masked]>
Date: Wed, 05 Feb 2014 08:46:17 -0500

>> So, if there is a way to avoid cursor redraws, go for it.
> Can you tell when does the cursor need to be redrawn on X?

The problem in the current case is that the window hasn't had any
modification at all, so we shouldn't even try to redraw any part of it.
Methinks there's a bit of code somewhere which maybe sets the `redisplay'
bit unnecessarily.

        Stefan